Delete file
curl --request DELETE \
--url https://api.bitgpt.xyz/files/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.bitgpt.xyz/files/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.bitgpt.xyz/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"data": {
"id": "123"
},
"error": null,
"log": null,
"validator": null,
"support_id": null,
"message": "File deleted successfully",
"env": "development"
}{
"status": 400,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 401,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 403,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 404,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}Files
Delete file
Delete a specific file by ID
DELETE
/
files
/
{id}
Delete file
Authorizations
Send your access token as header Authorization: Bearer {accessToken}
Your API key that starts with sk_live or sk_test. You can create yours at go.bitgpt.xyz/api-keys.
Path Parameters
File ID
Response
File deleted successfully
Status code of the response
Available options:
200, 201, 202 Response data containing the requested object
Success message
Example:
"Resource created successfully"
API environment
Available options:
development, production Error message of the response, human readable
Example:
"Invalid email address"
Useful informaiton, not always present, to debug the response
Examples:
{ "request_id": "req_1234567890" }
"Some pertinent log message"
Validator response object, each key is the field name and value is the error message
Example:
{
"email": "Invalid email address",
"password": "Password is required"
}
Support ID linked to the response, used to identify it when talking with our team
Example:
"support_uuidv7-something-else"

